Package org.kapott.hbci.GV_Result

## Class GVRFestList

- java.lang.Object
- - org.kapott.hbci.GV_Result.HBCIJobResultImpl
  - - org.kapott.hbci.GV_Result.GVRFestList

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIJobResult`

    public final class GVRFestList
    extends HBCIJobResultImpl

Ergebnisse der Abfrage bestehender Festgeldanlange. Die verschiedenen Festgeldanlagen werden in einer Liste gespeichert. Für jede bestehende Festgeldanlage gibt es ein separates Objekt mit Informationen über diese Anlage.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `GVRFestList.Entry` Informationen über eine einzelne.

### Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

### Constructor Summary

Constructors
`GVRFestList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEntry​(GVRFestList.Entry entry)`
`GVRFestList.Entry[]` `getEntries()` Gibt Informationen über alle gefundenen Festgeldanlagen zurück
`java.lang.String` `toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GVRFestList

    public GVRFestList()

### Method Detail

#### addEntry

    public void addEntry​(GVRFestList.Entry entry)

#### getEntries

    public GVRFestList.Entry[] getEntries()

Gibt Informationen über alle gefundenen Festgeldanlagen zurück

Returns:
  Array, wobei jeder Eintrag eine Festgeldanlage beschreibt

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`